/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.lesscss.colortheme;

import org.xwiki.component.annotation.Role;
import org.xwiki.stability.Unstable;

/**
 * Serialize to a string a {@link ColorThemeReference}.
 *
 * @since 6.4M2
 * @version $Id: 7818b09dcc7e4ec7bdeefd268ed0422a9f752119 $
 */
@Role
@Unstable
public interface ColorThemeReferenceSerializer
{
    /**
     * @param colorThemeReference a reference to a color theme
     * @return the serialized reference
     */
    String serialize(ColorThemeReference colorThemeReference);
}
