/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.lesscss.resources;

import org.xwiki.component.annotation.Role;
import org.xwiki.stability.Unstable;

/**
 * A serializer to transform a LESS Resource Reference to a string.
 *
 * @since 6.4M2
 * @version $Id: 1c8c5a0e781ecc002e27b0f77266b2275e5515b0 $
 */
@Role
@Unstable
public interface LESSResourceReferenceSerializer
{
    /**
     * Serialize a LESS Resource Reference to a string.
     * @param lessResourceReference the LESS Resource Reference to serialize
     * @return the serialized value
     */
    String serialize(LESSResourceReference lessResourceReference);
}
